#pragma once
#include QMK_KEYBOARD_H

#include "version.h"
#include "eeprom.h"

#include "rgb_stuff.h"

enum userspace_layers {
    _QWERTY = 0,
    _LOWER,
    _RAISE,
    _NAV,
    _ADJUST,
    _WoW
};

enum custom_keycodes {
    KC_CCCV = SAFE_RANGE,
    OE,
    AA,
    AE,
    oe,
    aa,
    ae,
};

enum unicode_names {
    u_ae,
    u_oe,
    u_aa
};

const uint32_t PROGMEM unicode_map[] = {
    [u_ae] = 0x00E6,
    [u_oe] = 0x00F8,
    [u_aa] = 0x00E5,
};


bool          process_record_user_rgb_light(uint16_t keycode, keyrecord_t *record);
void          keyboard_post_init_rgb_light(void);
void          matrix_scan_rgb_light(void);
layer_state_t layer_state_set_rgb_light(layer_state_t state);
layer_state_t default_layer_state_set_rgb_light(layer_state_t state);
void          rgblight_sethsv_default_helper(uint8_t index);


